Bug 184449 - Support negative sw/sh values in createImageBitmap().
Summary: Support negative sw/sh values in createImageBitmap().
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Canvas (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Ms2ger
URL:
Keywords: InRadar
Depends on:
Blocks: 182424
  Show dependency treegraph
 
Reported: 2018-04-10 07:53 PDT by Ms2ger
Modified: 2018-05-07 10:22 PDT (History)
9 users (show)

See Also:


Attachments
Patch (9.99 KB, patch)
2018-04-10 08:03 PDT, Ms2ger
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.23 MB, application/zip)
2018-04-10 09:08 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-sierra-wk2 (3.04 MB, application/zip)
2018-04-10 09:15 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews121 for ios-simulator-wk2 (2.46 MB, application/zip)
2018-04-10 09:35 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-sierra (2.97 MB, application/zip)
2018-04-10 09:42 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews206 for win-future (13.14 MB, application/zip)
2018-04-10 10:01 PDT, Build Bot
no flags Details
Patch (14.69 KB, patch)
2018-04-12 03:37 PDT, Ms2ger
no flags Details | Formatted Diff | Diff
Patch (14.67 KB, patch)
2018-04-25 05:17 PDT, Ms2ger
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ms2ger 2018-04-10 07:53:49 PDT
.
Comment 1 Ms2ger 2018-04-10 08:03:07 PDT
Created attachment 337605 [details]
Patch
Comment 2 Build Bot 2018-04-10 09:08:46 PDT
Comment on attachment 337605 [details]
Patch

Attachment 337605 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/7268573

New failing tests:
imported/w3c/web-platform-tests/workers/name-property.html
http/wpt/2dcontext/imagebitmap/createImageBitmap.html
Comment 3 Build Bot 2018-04-10 09:08:47 PDT
Created attachment 337609 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 4 Build Bot 2018-04-10 09:15:52 PDT
Comment on attachment 337605 [details]
Patch

Attachment 337605 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/7268620

New failing tests:
http/wpt/2dcontext/imagebitmap/createImageBitmap.html
Comment 5 Build Bot 2018-04-10 09:15:54 PDT
Created attachment 337611 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 6 Build Bot 2018-04-10 09:35:28 PDT
Comment on attachment 337605 [details]
Patch

Attachment 337605 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/7268627

New failing tests:
http/wpt/2dcontext/imagebitmap/createImageBitmap.html
Comment 7 Build Bot 2018-04-10 09:35:30 PDT
Created attachment 337613 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.4
Comment 8 Build Bot 2018-04-10 09:42:44 PDT
Comment on attachment 337605 [details]
Patch

Attachment 337605 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/7268686

New failing tests:
http/wpt/2dcontext/imagebitmap/createImageBitmap.html
Comment 9 Build Bot 2018-04-10 09:42:46 PDT
Created attachment 337614 [details]
Archive of layout-test-results from ews115 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 10 Build Bot 2018-04-10 10:01:27 PDT
Comment on attachment 337605 [details]
Patch

Attachment 337605 [details] did not pass win-ews (win):
Output: http://webkit-queues.webkit.org/results/7268850

New failing tests:
http/wpt/2dcontext/imagebitmap/createImageBitmap.html
Comment 11 Build Bot 2018-04-10 10:01:39 PDT
Created attachment 337616 [details]
Archive of layout-test-results from ews206 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews206  Port: win-future  Platform: CYGWIN_NT-6.1-2.9.0-0.318-5-3-x86_64-64bit
Comment 12 Ms2ger 2018-04-12 03:37:43 PDT
Created attachment 337785 [details]
Patch
Comment 13 Ms2ger 2018-04-25 05:17:11 PDT
Created attachment 338721 [details]
Patch
Comment 14 WebKit Commit Bot 2018-05-07 10:20:47 PDT
Comment on attachment 338721 [details]
Patch

Clearing flags on attachment: 338721

Committed r231440: <https://trac.webkit.org/changeset/231440>
Comment 15 WebKit Commit Bot 2018-05-07 10:20:48 PDT
All reviewed patches have been landed.  Closing bug.
Comment 16 Radar WebKit Bug Importer 2018-05-07 10:22:26 PDT
<rdar://problem/40026929>